#include <iostream>
#include <iomanip>

using namespace std;

struct jabuka
{
  long A;
  double P;
};

int main()
{
  long N;cin>>N;
  jabuka niz[N];
  double S[N],k,rbr=0;
  for (long i=0;i<N;i++)
  {
    cin>>niz[i].A>>niz[i]. P;
  }
  for (long i=0;i<N;i++)
  {
    rbr=0;
    double a=niz[i].P;
    for (long j=0;j<N;j++)
    {
      if (a<=niz[j].P)
      {
        rbr+=niz[j].A;
      }
    }
    S[i]=rbr*(a/100);
  }
  k=S[0];
  for (long i=0;i<N;i++)
  {
    if (S[i]>k)
    {
      k=S[i];
    }
  }
  cout<<fixed;
  cout<<setprecision(8)<<k;

  return 0;
}